body {
    margin: 0;
    font-family: "Montserrat", sans-serif;
    /*overflow-x: hidden;*/
    background-color: #d5d5d5;
}

.container {
    max-width: 1200px;
}

.header {
    background-color_: #00232D;
    background-color:#EC1B2E;
    color: #00A7B5;
    font-family: Arial, sans-serif;
}
.header-navbar {
    height: auto;
    display: flex;
    justify-content: space-between;
}
.header-navbar .left-nav {
    display: flex;
}
.header-navbar .left-nav .social {
    margin-top: 20px;
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.header-navbar .left-nav .social span img {
    width: 60px;
}
.header-navbar .right-nav {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 30%;
}
.header-navbar-login {
    width: 300px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header-navbar-login a{
    margin-right: 20px;
}

.header-navbar-language {
    margin-right: 60px;
    width: 100px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}
.header-navbar-language h2 {
    color: white;
    font-weight: 300;
}


.main {
    justify-content: center;
    align-items: center;
    height: 100%;
    /*background-image: url("../assets/images/Background.png");*/
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    position: relative;
    padding: 20px 0;
}

.main .poster-center{
    width: 100%;
    display: flex;
    justify-content: center;
}

.main .game-poster {
    position: absolute;
    top: 10%;
    opacity: 0.5;
}

.main .game-poster .start {opacity: 0.1}

.main .game_canvas {
    margin: 20px auto;
    align-items: flex-end;
    display: flex;
    flex-direction: column;
    height: auto;
    z-index: 1;
}
.main .table-container {
    display: flex;
    flex-direction: column;
    height: auto;
    z-index: 1;
    position: relative;
}
.main .game_canvas #table {
    width: auto;
    /*z-index: 1;*/
}
.main .game_canvas h1 {
    z-index: 1;
    color: #005465;
}
.main .tile1, .main .tile2, .main .tile3, .main .tile4, .main .tile5, .main .tile6, .main .tile7, .main .tile8, .main .tile9 {
    display: table-cell;
    border: 1px solid white;
    cursor: pointer;
}
.main .tile1 {
    background-position: left top;
}
.main .tile2 {
    background-position: center top;
}
.main .tile3 {
    background-position: right top;
}
.main .tile4 {
    background-position: left center;
}
.main .tile5 {
    background-position: center center;
}
.main .tile6 {
    background-position: right center;
}
.main .tile7 {
    background-position: left bottom;
}
.main .tile8 {
    background-position: center bottom;
}
.main .tile9 {
    background-position: right bottom;
    cursor: default;
    opacity: 0;
}
/*.main .tile9-right-box {
    background-position: right bottom;
    cursor: default;
    position: absolute;
    bottom: 15px;
}*/
#cell33.horizTranslate {
    -webkit-animation: horizTranslate 2s ease forwards;
}
@-webkit-keyframes horizTranslate {
    0% {
        transform: translate(100px);
        opacity: 1;
    }
    100% {
        opacity: 1;
    }
}

.main .about-content {
    margin: 50px 0;
    display: flex;
    width: 100%;
    justify-content: flex-end;
}
.main .about-content .about-slogan {
    width: 330px;
    color: #00A7B5;
    display: flex;
    text-align: end;
}
.main .about-poster {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
}
.main .about-btn-block {
    display: flex;
    width: 100%;
    justify-content: center;
}
.main .about-btn-block button {
    margin: 20px;
    padding: 10px 20px;
    border-radius: 5px;
    background: linear-gradient(0deg, #c3c3c3 5%, #f2f2f2 93%);
}
.main .about-btn-block button a {
    color: #00A7B5;
    font-weight: bold;
    font-size: 3rem;
}
.main .about-slogan-2 {
    width: 40%;
    display: flex;
    margin: 75px 0;
}
.main .about-slogan-2 h2 {
    color: #005465;
}

.main .card {
    border-radius: 6px;
    background: #fff;
    padding: 1rem;
    box-shadow: 2px 3px 10px rgba(0, 0, 0, .2);
}
.main .description{
    margin: 30px auto;
}

.main .btn {
    color: #fff;
    position: relative;
    border: 1px solid #EC1B2E;
    text-decoration: none;
    text-transform: uppercase;
    padding: 0.5rem 1.5rem;
    font-weight: 700;
    outline: none;
    background: #EC1B2E;
    transition: all 0.22s;
    cursor: pointer;
    margin-right: 1rem;
    margin-left: 1rem;
}

.main .btn.primary {
    background: #EC1B2E;
    color: #fff;
}

.main .btn:active {
    box-shadow: inset 1px 1px 1px rgba(0, 0, 0, 0.3);
}

.main .btn:hover {
    cursor: pointer;
    opacity: 0.8;
}

.main input[type=file] {
    display: none;
}

.main .preview {
    display: flex;
    flex-wrap: wrap;
    padding: .5rem;
}

.main .preview-image {
    position: relative;
    margin-bottom: .5rem;
    margin-right: .5rem;
}

.main .preview-image.removing {
    transform: scale(0);
    transition: transform .3s;
}

.main .preview-image img {
    width: 180px;
    height: auto;
}

.main .preview-image:hover .preview-remove {
    opacity: 1;
}

.main .preview-remove {
    opacity: 0;
    width: 20px;
    height: 20px;
    position: absolute;
    right: 0;
    top: 0;
    font-weight: bold;
    background: rgba(255, 255, 255, .5);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: opacity .22s;
}

.main .preview-info-progress {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    background: #42b983;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: width .22s;
}
.main .image_uploader{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    margin: 20px auto;
}

.main #displayBox{
    width: 100%;
    height: auto;
    display: flex;
    gap: 20px;
    margin-bottom: 20px;
}

.main #displayBox img{
    width: 100px;
    height: 100px;
    object-fit: contain;
    cursor: pointer;
}

.footer {
    bottom: 0;
    background-color: #00232D;
    color: white;
}
.footer #follow {
    display: flex;
}
.footer #follow img {
    width: 30px;
    height: auto;
}

/** Modal login*/
.modal {
    z-index: 1111;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.3s;
    position: absolute;
    top: 10px;
    left: 0;
    right: 0;
    margin: 200px auto;
    background: #fff;
    border-radius: 5px;
    box-shadow: 0 3px 10px rgba(0, 0, 0, 0.3);
    align-items: center;
    display: flex;
}
#modal-win{
    max-width: 500px;
    height: 300px;
    flex-direction: column;
    padding: 30px;
}
.modal .btn{
    color: #fff;
    border: 1px solid #EC1B2E;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: 700;
    outline: none;
    background: #EC1B2E;
    transition: all 0.22s;
    cursor: pointer;
    padding: 10px;
}
.modal .slogan{
    display: flex;
    text-align: center;
    padding: 20px;
}
.modal .share-link{
    border: 3px solid #EC1B2E;
    border-radius: 5px;
    padding: 0 60px;
    display: flex;
    text-align: center;
    margin: 10px 0 30px;
}

/** Overlay */
.overlay {
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.3s;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
}

/** JS */
.is-visible {
    opacity: 1;
    pointer-events: auto;
}

.not-visible {
    opacity: 0;
    pointer-events: none;
}

@media screen and (max-width: 480px){
    .main .image_uploader{
        margin: 10px 0;
        flex-direction: column;
    }
    .main .image_uploader button{
        margin: 10px 0;
    }
}



